Get report details
curl --request GET \
--url https://www.hckrt.com/api/v1/admin/reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.hckrt.com/api/v1/admin/reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.hckrt.com/api/v1/admin/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"programId": 123,
"target": {
"id": 123,
"name": "<string>"
},
"status": {
"id": 123,
"name": "<string>"
},
"severity": {
"id": 123,
"name": "<string>"
},
"reporter": {
"id": "<string>",
"nickname": "<string>",
"email": "jsmith@example.com"
},
"assignedTo": {
"id": "<string>",
"nickname": "<string>",
"email": "jsmith@example.com"
},
"summary": "<string>",
"description": "<string>",
"impact": "<string>",
"vulnerabilityTypeId": 123,
"cweTypeId": 123,
"cvss": "<string>",
"cve": "<string>",
"bounty": 123,
"bonus": 123,
"duplicateOf": 123,
"effectiveRole": "<string>"
}API Reference
Get report details
GET
/
reports
/
{id}
Get report details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Report
Newest report timeline comment timestamp, or createdAt when the report has no comments.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?